mdoc-validate(1)

NAME
mdoc validate - Validate XML documents against a schema

SYNOPSIS
mdoc validate [OPTIONS]* PATHS+

DESCRIPTION
mdoc validate validates the specified PATHS against a specified format schema.

OPTIONS

--format=FORMAT
    The documentation format to validate PATHS against. Supported formats include: ecma.

    See the FORMATS section below for more information about these formats.

    The default format (if none is specified) is ecma.

-h, -?, --help
    Display a help message and exit.

FORMATS
The following documentation formats are supported:

  ecma
The Mono ECMA Documentation Format validates all output generated by mdoc-update(1) against an XML schema, including the index.xml, ns-*.xml, and NamespaceName/TypeName.xml files.

See mdoc(5) for details about this file format.

EXAMPLES
To validate the mdoc-update(1) output stored within a directory (and all documentation within that directory, recursively), use:
    mdoc validate /path/to/ecma/docs

MAILING LISTS

Visit http://lists.ximian.com/mailman/listinfo/mono-docs-list for details.

WEB SITE
Visit http://www.mono-project.com/mdoc for details